# USAH-outputs

## Overview
USAH-outputs is a repository for Urban Systems Abstraction Hierarchy (USAH) outputs created with the [AHgen](https://github.com/avisserquinn/AHgen) software code in R. Here you will find different versions of the Urban Systems Abstraction Hierarchy. Each folder corresponds to a publication, and includes all AHgen outputs supporting that publication.

## Background
USAH-outputs is being developed as part of the £1-million Water Resilient Cities project. The project looks to understand, quantify, and explore solutions to the challenge of climate change and adaptive water management. Designed to explore the impact of natural and anthropogenic hazards, one of the main outputs of the project is the Urban Systems Abstraction Hierarchy [(Bedinger et al., 2020)](https://doi.org/10.1029/2019EF001389). Effectively a type of systems map, the Urban Systems Abstraction Hierarchy captures the functional connections between the physical and abstract. Developed in a UK context, the Urban Systems Abstraction Hierarchy recognises 252 different physical objects in the urban environment, and connects these to the processes, functions, outcomes, and purposes they serve. Other associated repositories you may be interested in are [AHgen](https://github.com/avisserquinn/AHgen), [OSMtidy](https://github.com/avisserquinn/OSMtidy), and [OSMtidy-outputs](https://github.com/avisserquinn/OSMtidy-outputs).

## Acknowledgements 
The development of USAH-outputs is funded by UKRI EPSRC as part of Professor Lindsay Beever's *Water Resilient Cities project*, grant number EP/N030419/1, as well as an associated EPSRC Impact Acceleration Fund, *Urban system response and recovery: Development of an online tool to explore the impact of COVID-19*.

## Contributions & citation
**Contributors** Melissa Bedinger, Kerri McClymont, Annie Visser-Quinn, Lindsay Beevers, Gordon Aitken, Chanin Songchon, and David Morrison

**Contact** If you have any questions about these outputs or associated code, please contact dr.m.bedinger@gmail.com.

**Please cite** Bedinger et al. (2021) USAH-outputs v2.0, Edinburgh, Scotland. https://doi.org/10.5281/zenodo.5702814 
[![DOI](https://zenodo.org/badge/410258600.svg)](https://zenodo.org/badge/latestdoi/410258600)
